Package bitel.billing.server.contract.bean

# Class ContractStatus

java.lang.Object
bitel.billing.server.contract.bean.ContractStatus

All Implemented Interfaces:
  `java.io.Serializable`

    public class ContractStatus
    extends java.lang.Object
    implements java.io.Serializable

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractStatus()` |
  `ContractStatus​(ContractStatus contractStatus)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `ContractStatus` | `clone()` | Клонирование статуса.
  `java.lang.String` | `getComment()` |
  `int` | `getContractId()` |
  `java.util.Date` | `getDateFrom()` |
  `java.util.Date` | `getDateTo()` |
  `int` | `getId()` |
  `int` | `getStatus()` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setDateFrom​(java.util.Date dateFrom)` |
  `void` | `setDateTo​(java.util.Date dateTo)` |
  `void` | `setId​(int id)` |
  `void` | `setStatus​(int status)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractStatus

    public ContractStatus()

  - ### ContractStatus

    public ContractStatus​(ContractStatus contractStatus)

- ## Method Details

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getDateFrom

    public java.util.Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom​(java.util.Date dateFrom)

  - ### getDateTo

    public java.util.Date getDateTo()

  - ### setDateTo

    public void setDateTo​(java.util.Date dateTo)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus​(int status)

  - ### getId

    public int getId()

  - ### setId

    public void setId​(int id)

  - ### clone

    public ContractStatus clone()
    Клонирование статуса. Копируются все поля, кроме id, которое устанавливается в ноль.
    Overrides:
      `clone` in class `java.lang.Object`

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`